Make historical VisualDiffs a BetaFeature
Closed, ResolvedPublic8 Story Points

Description

Some communities have expressed interest in more testing. Currently this can be done with the URL param 'visualdiff', but allowing users to enable a BF would generate more feedback and failing test cases.

Esanders created this task.Jan 25 2018, 6:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2018, 6:33 PM

Change 406250 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] VisualDiffs: Create an optional BetaFeature for historical diffs

https://gerrit.wikimedia.org/r/406250

Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Johan added a subscriber: Johan.Jan 31 2018, 6:17 AM

When do you expect this to move from URL parameter to beta feature?

When do you expect this to move from URL parameter to beta feature?

Next week, ideally. We'll know before the end of the week. :-)

TheDJ added a subscriber: TheDJ.EditedFeb 6 2018, 4:20 PM


Any reason the visualdiff content adds 15px of left margin ? It's a bit jarring for historical diffs, as it messes with the alignment in the view, which gives it a more 'busy' look then needed.

.ve-ui-diffElement-content {
left-margin: 15px;
}

Change 406250 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] VisualDiffs: Create an optional BetaFeature for historical diffs

https://gerrit.wikimedia.org/r/406250


Any reason the visualdiff content adds 15px of left margin ? It's a bit jarring for historical diffs, as it messes with the alignment in the view, which gives it a more 'busy' look then needed.

To my knowledge, there is no particular reason it is this way. I agree it should be changed.

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Code's merged and will ride next week's train, all that's needed now is a config patch to enable.

I added an item to next week's Tech News. I have no idea whether I did it right. Perhaps @Johan can tell me if I need to change something? :-)

Johan added a subscriber: Quiddity.Feb 9 2018, 6:50 AM

@Quiddity is handling Tech News this particular week, so any questions about this issue should go to him. (:

Elitre added a subscriber: Elitre.Feb 12 2018, 2:08 PM

I added a link to your line on TN: https://www.mediawiki.org/wiki/VisualEditor/Diffs though could use a mention of where to find the BF etc., if not a more general update at some point :) TY!

RandomDSdevel rescinded a token.
RandomDSdevel awarded a token.

Change 409091 had a related patch set uploaded (by Zfilipin; owner: Jforrester):
[operations/mediawiki-config@master] Enable the visual diff beta feature

https://gerrit.wikimedia.org/r/409091

Change 409091 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable the visual diff beta feature

https://gerrit.wikimedia.org/r/409091

Mentioned in SAL (#wikimedia-operations) [2018-02-15T14:53:42Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:409091|Enable the visual diff beta feature (T185708)]] (duration: 01m 12s)

I tried to get this SWAT deployed today, but the beta feature didn't appear after the patch was deployed. Something appears to be missing, but I have no idea what. This is what happens when a non-engineer tries to do engineering things.

Looking at https://gerrit.wikimedia.org/r/#/c/406250/5/VisualEditor.hooks.php this might need 1 more config change to enable it on a wiki.

addshore@tin:/srv/mediawiki-staging$ mwscript eval.php --wiki testwiki
> var_dump($wgVisualEditorEnableDiffPageBetaFeature);
bool(false)

My fault, yeah, we need to set wgVisualEditorEnableDiffPageBetaFeature true on wikis where you want it. Did you still want it to go everywhere? Just test wikis? Just Wikipedias?

Change 411048 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Follow-up 77be427a1: Enable the Beta Feature on all wikis

https://gerrit.wikimedia.org/r/411048

Johan added a comment.Feb 15 2018, 7:31 PM

When do you estimate the beta feature will turn up?

(Asking for Tech News reasons.)

Change 411048 merged by jenkins-bot:
[operations/mediawiki-config@master] Follow-up 77be427a1: Enable the Beta Feature on all wikis

https://gerrit.wikimedia.org/r/411048

Mentioned in SAL (#wikimedia-operations) [2018-02-15T19:55:49Z] <thcipriani@tin> Synchronized wmf-config/CommonSettings.php: SWAT: Follow-up 77be427a1: [[gerrit:411048|Enable the Beta Feature on all wikis]] T185708 (duration: 01m 12s)

Jdforrester-WMF closed this task as Resolved.Feb 15 2018, 8:30 PM
Jdforrester-WMF removed a project: Patch-For-Review.

When do you estimate the beta feature will turn up?

(Asking for Tech News reasons.)

About 40 minutes ago.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 15 2018, 8:30 PM